## pmw 4.22

=== doc/Makefile ===
# Makefile for PMW specification. It uses:
#
# xfpt   to convert the base document to XML
# aspic  to generate EPS files for the figures
# pmw    to generate EPS files for the music examples
# sdop   to generate PostScript from the base document + figures + examples
# ps2pdf to generate a PDF from the PostScript output
#
# Use the version of PMW compiled in this tree.
# The other commands must be installed in the PATH.

PMW=../src/pmw

all:                spec.pdf

spec.pdf:           spec.ps
		    ps2pdf spec.ps spec.pdf

spec.ps:            spec.xml \
                    postscript/fig01 \
                    postscript/fig02 \
                    postscript/fig03 \
                    postscript/fig04 \
                    postscript/music01 \
                    postscript/music02 \
                    postscript/music03 \
                    postscript/music04 \
                    postscript/music05 \
                    postscript/music06 \
                    postscript/music07 \
                    postscript/music08 \
                    postscript/music09 \
                    postscript/music10 \
                    postscript/music11 \
                    postscript/music12 \
                    postscript/music13 \
                    postscript/music14 \
                    postscript/music15 \
                    postscript/music16 \
                    postscript/music17 \
                    postscript/music18 \
                    postscript/music19 \
                    postscript/music20 \
                    postscript/music21 \
                    postscript/music22 \
                    postscript/music23 \
                    postscript/music24 \
                    postscript/music25 \
                    postscript/music26 \
                    postscript/music27 \
                    postscript/music28 \
                    postscript/music29 \
                    postscript/music30 \
                    postscript/music31 \
                    postscript/music32 \
                    postscript/music33 \
                    postscript/music34 \
                    postscript/music35 \
                    postscript/music36 \
                    postscript/music37 \
                    postscript/music38 \
                    postscript/music39 \
                    postscript/music40 \
                    postscript/music41 \
                    postscript/music42 \
                    postscript/music43 \
                    postscript/music44 \
                    postscript/music45 \
                    postscript/music46 \
                    postscript/music47 \
                    postscript/music48 \
                    postscript/music49 \
                    postscript/music50 \
                    postscript/music51 \
                    postscript/music52 \
                    postscript/music53
		    sdop spec.xml

spec.xml:           spec.xfpt
		    xfpt spec.xfpt
                     

postscript/fig01:   figures/fig01.aspic
		    aspic figures/fig01.aspic postscript/fig01

postscript/fig02:   figures/fig02.aspic
		    aspic figures/fig02.aspic postscript/fig02

postscript/fig03:   figures/fig03.aspic
		    aspic figures/fig03.aspic postscript/fig03

postscript/fig04:   figures/fig04.aspic
		    aspic figures/fig04.aspic postscript/fig04


postscript/music01: examples/ex01
		    ${PMW} -eps -nowidechars -o postscript/music01 examples/ex01

postscript/music02: examples/ex02
		    ${PMW} -eps -nowidechars -o postscript/music02 examples/ex02

postscript/music03: examples/ex03
		    ${PMW} -eps -nowidechars -o postscript/music03 examples/ex03

postscript/music04: examples/ex04
		    ${PMW} -eps -nowidechars -o postscript/music04 examples/ex04

postscript/music05: examples/ex05
		    ${PMW} -eps -nowidechars -o postscript/music05 examples/ex05

postscript/music06: examples/ex06
		    ${PMW} -eps -nowidechars -o postscript/music06 examples/ex06

postscript/music07: examples/ex07
		    ${PMW} -eps -nowidechars -o postscript/music07 examples/ex07

postscript/music08: examples/ex08
		    ${PMW} -eps -nowidechars -o postscript/music08 examples/ex08

postscript/music09: examples/ex09
		    ${PMW} -eps -nowidechars -o postscript/music09 examples/ex09

postscript/music10: examples/ex10
		    ${PMW} -eps -nowidechars -o postscript/music10 examples/ex10

postscript/music11: examples/ex11
		    ${PMW} -eps -nowidechars -o postscript/music11 examples/ex11

postscript/music12: examples/ex12
		    ${PMW} -eps -nowidechars -o postscript/music12 examples/ex12

postscript/music13: examples/ex13
		    ${PMW} -eps -nowidechars -o postscript/music13 examples/ex13

postscript/music14: examples/ex14
		    ${PMW} -eps -nowidechars -o postscript/music14 examples/ex14

postscript/music15: examples/ex15
		    ${PMW} -eps -nowidechars -o postscript/music15 examples/ex15

postscript/music16: examples/ex16
		    ${PMW} -eps -nowidechars -o postscript/music16 examples/ex16

postscript/music17: examples/ex17
		    ${PMW} -eps -nowidechars -o postscript/music17 examples/ex17

postscript/music18: examples/ex18
		    ${PMW} -eps -nowidechars -o postscript/music18 examples/ex18

postscript/music19: examples/ex19
		    ${PMW} -eps -nowidechars -o postscript/music19 examples/ex19

postscript/music20: examples/ex20
		    ${PMW} -eps -nowidechars -o postscript/music20 examples/ex20

postscript/music21: examples/ex21
		    ${PMW} -eps -nowidechars -o postscript/music21 examples/ex21

postscript/music22: examples/ex22
		    ${PMW} -eps -nowidechars -o postscript/music22 examples/ex22

postscript/music23: examples/ex23
		    ${PMW} -eps -nowidechars -o postscript/music23 examples/ex23

postscript/music24: examples/ex24
		    ${PMW} -eps -nowidechars -o postscript/music24 examples/ex24

postscript/music25: examples/ex25
		    ${PMW} -eps -nowidechars -o postscript/music25 examples/ex25

postscript/music26: examples/ex26
		    ${PMW} -eps -nowidechars -o postscript/music26 examples/ex26

postscript/music27: examples/ex27
		    ${PMW} -eps -nowidechars -o postscript/music27 examples/ex27

postscript/music28: examples/ex28
		    ${PMW} -eps -nowidechars -o postscript/music28 examples/ex28

postscript/music29: examples/ex29
		    ${PMW} -eps -nowidechars -o postscript/music29 examples/ex29

postscript/music30: examples/ex30
		    ${PMW} -eps -nowidechars -o postscript/music30 examples/ex30

postscript/music31: examples/ex31
		    ${PMW} -eps -nowidechars -o postscript/music31 examples/ex31

postscript/music32: examples/ex32
		    ${PMW} -eps -nowidechars -o postscript/music32 examples/ex32

postscript/music33: examples/ex33
		    ${PMW} -eps -nowidechars -o postscript/music33 examples/ex33

postscript/music34: examples/ex34
		    ${PMW} -eps -nowidechars -o postscript/music34 examples/ex34

postscript/music35: examples/ex35
		    ${PMW} -eps -nowidechars -o postscript/music35 examples/ex35

postscript/music36: examples/ex36
		    ${PMW} -eps -nowidechars -o postscript/music36 examples/ex36

postscript/music37: examples/ex37
		    ${PMW} -eps -nowidechars -o postscript/music37 examples/ex37

postscript/music38: examples/ex38
		    ${PMW} -eps -nowidechars -o postscript/music38 examples/ex38

postscript/music39: examples/ex39
		    ${PMW} -eps -nowidechars -o postscript/music39 examples/ex39

postscript/music40: examples/ex40
		    ${PMW} -eps -nowidechars -o postscript/music40 examples/ex40

postscript/music41: examples/ex41
		    ${PMW} -eps -nowidechars -o postscript/music41 examples/ex41

postscript/music42: examples/ex42
		    ${PMW} -eps -nowidechars -o postscript/music42 examples/ex42

postscript/music43: examples/ex43
		    ${PMW} -eps -nowidechars -o postscript/music43 examples/ex43

postscript/music44: examples/ex44
		    ${PMW} -eps -nowidechars -o postscript/music44 examples/ex44

postscript/music45: examples/ex45
		    ${PMW} -eps -nowidechars -o postscript/music45 examples/ex45

postscript/music46: examples/ex46
		    ${PMW} -eps -nowidechars -o postscript/music46 examples/ex46

postscript/music47: examples/ex47
		    ${PMW} -eps -nowidechars -o postscript/music47 examples/ex47

postscript/music48: examples/ex48
		    ${PMW} -eps -nowidechars -o postscript/music48 examples/ex48

postscript/music49: examples/ex49
		    ${PMW} -eps -nowidechars -o postscript/music49 examples/ex49

postscript/music50: examples/ex50
		    ${PMW} -eps -nowidechars -o postscript/music50 examples/ex50

postscript/music51: examples/ex51
		    ${PMW} -eps -nowidechars -o postscript/music51 examples/ex51

postscript/music52: examples/ex52
		    ${PMW} -eps -nowidechars -o postscript/music52 examples/ex52

postscript/music53: examples/ex53
		    ${PMW} -eps -nowidechars -o postscript/music53 examples/ex53

clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/*

# End

## pmw 4.24

=== doc/Makefile ===
--- 
+++ 
@@ -7,16 +7,22 @@
 # ps2pdf to generate a PDF from the PostScript output
 #
 # Use the version of PMW compiled in this tree.
-# The other commands must be installed in the PATH.
-
-PMW=../src/pmw
+# The other commands must be installed in the PATH. However, we have to
+# ensure that SDoP sees the metrics for the PMW fonts. Just pointing it
+# at the PMW directory is dangerous because it also uses a file called
+# PSheader. Instead, we make temporary copies for it to use.
+
+PMW=../src/pmw -F ../fontmetrics -H ../PSheader
 
 all:                spec.pdf
 
 spec.pdf:           spec.ps
 		    ps2pdf spec.ps spec.pdf
 
-spec.ps:            spec.xml \
+spec.ps:            Makefile \
+                    spec.xml \
+                    fontmetrics/PMW-Alpha.afm \
+                    fontmetrics/PMW-Music.afm \
                     postscript/fig01 \
                     postscript/fig02 \
                     postscript/fig03 \
@@ -74,11 +80,18 @@
                     postscript/music51 \
                     postscript/music52 \
                     postscript/music53
-		    sdop spec.xml
+		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
 		    xfpt spec.xfpt
-                     
+
+fontmetrics/PMW-Alpha.afm: ../fontmetrics/PMW-Alpha.afm
+		    mkdir -p fontmetrics
+		    cp ../fontmetrics/PMW-Alpha.afm fontmetrics
+
+fontmetrics/PMW-Music.afm: ../fontmetrics/PMW-Music.afm
+		    mkdir -p fontmetrics
+		    cp ../fontmetrics/PMW-Music.afm fontmetrics
 
 postscript/fig01:   figures/fig01.aspic
 		    aspic figures/fig01.aspic postscript/fig01
@@ -252,6 +265,6 @@
 postscript/music53: examples/ex53
 		    ${PMW} -eps -nowidechars -o postscript/music53 examples/ex53
 
-clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/*
+clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End

## pmw 4.26

=== doc/Makefile ===
--- 
+++ 
@@ -79,7 +79,8 @@
                     postscript/music50 \
                     postscript/music51 \
                     postscript/music52 \
-                    postscript/music53
+                    postscript/music53 \
+                    postscript/music54 
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -265,6 +266,9 @@
 postscript/music53: examples/ex53
 		    ${PMW} -eps -nowidechars -o postscript/music53 examples/ex53
 
+postscript/music54: examples/ex54
+		    ${PMW} -eps -nowidechars -o postscript/music54 examples/ex54
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End

## pmw 4.27

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,11 @@
 # aspic  to generate EPS files for the figures
 # pmw    to generate EPS files for the music examples
 # sdop   to generate PostScript from the base document + figures + examples
-# ps2pdf to generate a PDF from the PostScript output
+# gs     to generate a PDF from the PostScript output
+#
+# The fancy gs command ensures that all the fonts are embedded in the PDF.
+# Otherwise some of the rarer characters may not be present in fonts used by
+# acroread or other PDF displayers.
 #
 # Use the version of PMW compiled in this tree.
 # The other commands must be installed in the PATH. However, we have to
@@ -17,7 +21,7 @@
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    ps2pdf spec.ps spec.pdf
+		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \

## pmw 4.28-2

=== doc/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
+		    GS_FONTPATH=$(CURDIR)/../psfonts gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \

=== debian/changelog ===
pmw (1:4.28-2) unstable; urgency=medium

  * debian/rules: reorganize so that dpkg-buildpackage -A works. Closes: #806094
  * debian/rules: also split up the build target so that we have a
    useful binary-arch target.
  * debian/control: move a few dependencies from Build-Depends to
    Build-Depends-Indep, in light of the above.
  * debian/compat: bump to level 9
  * debian/control: bump debhelper build-dep to at least version 9, in
    light of the above.
  * debian/control: update Homepage: field to point to the new location.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 24 Nov 2015 22:55:40 +0100

pmw (1:4.28-1) unstable; urgency=medium

  * New upstream release
  * Fix Vcs-Git url to silence lintian warning
  * Update Standards-Version to 3.9.5 (no changes)

 -- Wouter Verhelst <wouter@debian.org>  Tue, 31 Dec 2013 11:01:18 +0100

pmw (1:4.27-1) unstable; urgency=medium

  * New upstream release
  * Install doc/examples into pmw-doc, too

 -- Wouter Verhelst <wouter@debian.org>  Wed, 18 Dec 2013 12:55:01 +0100

pmw (1:4.26-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version: to 3.9.4 (nothing relevant to pmw)

 -- Wouter Verhelst <wouter@debian.org>  Wed, 29 May 2013 23:16:06 +0200

pmw (1:4.24-1) unstable; urgency=low

  * New upstream release
  * Add epoch, because I forgot that 231 > 23. Argl.

 -- Wouter Verhelst <wouter@debian.org>  Fri, 18 May 2012 01:13:50 +0200

pmw (4.231-1) unstable; urgency=low

  * New upstream release
    - Fixes test suite; Closes: #658229.
  * Do 'set -e' in maintainer scripts, so we don't ignore errors
  * Fix update-gsfontmap stuff again, hopefully for good. Closes: #635550.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 23 Jan 2012 23:00:32 +0100

pmw (4.23-1) unstable; urgency=low

  * New upstream release

 -- Wouter Verhelst <wouter@debian.org>  Mon, 23 Jan 2012 22:38:26 +0100

pmw (4.22-4) unstable; urgency=low

  * The 'ghostscript sucks' release.
  * Check for update-gsfontmap the right way. Closes: #635550.
  * add Build-Conflicts: pmw. Building the documentation requires access
    to the PMW fonts, which ghostscript allows either through adding a
    file to /etc/ghostscript, or through setting an environment
    variable, but not both (ghostscript breaks if you try). Using the
    package also requires the fonts.
    Building requires the environment variable (otherwise fixing bugs in
    a previous package could be problematic). Using requires the config
    file (requiring environment variables to be set is not allowed by
    Debian Policy, and wrapper scripts are ugly). Therefore, we can't
    build pmw if pmw itself is installed.
    Did I mention I'm not a ghostscript fan?
  * Declare Standards-Version 3.9.2 (no changes applicable to pmw)
  * Add Recommends: ghostscript

 -- Wouter Verhelst <wouter@debian.org>  Fri, 29 Jul 2011 17:57:55 +0200

pmw (4.22-3) unstable; urgency=low

  * debian/pmw.postinst: Check for existence of update-gsfontmap before
    trying to run it. This way it will work without ghostscript
    installed, which we don't depend on. Closes: #622334.
  * Use dh_installdocs rather than override_dh_install to install pmw-doc's
    documents into /usr/share/doc/pmw. Closes: #621886.
  * To remain policy-compliant in light of the above, make pmw-doc
    depend on pmw.

 -- Wouter Verhelst <wouter@debian.org>  Wed, 13 Apr 2011 12:17:01 +0200

pmw (4.22-2) unstable; urgency=low

  * Make PMW fonts available to ghostscript.
  * Add Vcs-Browser and Vcs-Git headers to source package

 -- Wouter Verhelst <wouter@debian.org>  Fri, 04 Mar 2011 11:19:32 +0100

pmw (4.22-1) unstable; urgency=low

  * Initial release. (Closes: #480101)

 -- Wouter Verhelst <wouter@debian.org>  Fri, 11 Feb 2011 13:18:53 +0100

=== debian/control ===
Source: pmw
Priority: extra
Section: tex
Maintainer: Wouter Verhelst <wouter@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: aspic, xfpt, sdop, ghostscript
Build-Conflicts: pmw
Standards-Version: 3.9.5
Homepage: http://people.ds.cam.ac.uk/ph10/pmw.html
Vcs-Git: git://git.debian.org/users/wouter/pmw.git
Vcs-Browser: http://git.debian.org/?p=users/wouter/pmw.git;a=summary

Package: pmw
Section: tex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ghostscript
Suggests: pmw-doc
Description: Philip's Music Writer
 PMW is a computer program for high quality music typesetting. It was
 originally written for Acorn RISC OS computers (where it was called
 PMS)
 .
 PMW operates by reading an input file containing an encoded description
 of the music; such a file can be constructed using any text editor or
 word processor. The music encoding is very straightforward and compact,
 and quick to enter. The input encoding is designed to be easy for a
 musician to remember, and tries to make use of as many familiar musical
 notations as possible within the limitations of an ASCII character set.
 .
 PMW can output PostScript files for printing, and basic MIDI files for
 proof-hearing.

Package: pmw-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, pmw
Description: Philip's Music Writer - Documentation
 This package contains the documentation, in PDF format, of pmw, as well
 as a number of examples.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installman:
	rm -rf debian/pmw/usr/man
	dh_installman

override_dh_auto_clean:
	# env -i? dpkg-buildflags must die.
	[ ! -f Makefile ] || env -i $(MAKE) distclean
	$(MAKE) -C doc clean
	dh_clean

override_dh_auto_build-arch:
	$(MAKE)

# documentation uses the built binaries, so we need to compile -- but no
# need to build documentation when it's not asked for...
override_dh_auto_build-indep: override_dh_auto_build-arch
	$(MAKE) -C doc

override_dh_install-arch:
	dh_install -a
	cp -a debian/fonts.conf debian/pmw/etc/ghostscript/fontmap.d/20pmw.conf
	rm -f debian/pmw/usr/share/pmw/fontmetrics/LICENCE

override_dh_installdocs:
	dh_installdocs --link-doc=pmw

## pmw 4.28-4

=== debian/changelog ===
pmw (1:4.28-4) unstable; urgency=medium

  * Add a proper dpkg-maintscript-helper call to ensure the pmw-doc -> pmw
    symlink is removed from /usr/share/doc. Really closes: #858348.

 -- Wouter Verhelst <wouter@debian.org>  Sun, 02 Apr 2017 12:50:48 +0200

pmw (1:4.28-3) unstable; urgency=medium

  * Drop the --link-doc parameter from the dh_installdocs invocation, as
    explained in #766711. Closes: #858348.

 -- Wouter Verhelst <wouter@debian.org>  Fri, 24 Mar 2017 21:15:09 +0100

## pmw 4.29

=== doc/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    GS_FONTPATH=$(CURDIR)/../psfonts gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
+		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \
@@ -84,7 +84,8 @@
                     postscript/music51 \
                     postscript/music52 \
                     postscript/music53 \
-                    postscript/music54 
+                    postscript/music54 \
+                    postscript/music55
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -273,6 +274,9 @@
 postscript/music54: examples/ex54
 		    ${PMW} -eps -nowidechars -o postscript/music54 examples/ex54
 
+postscript/music55: examples/ex55
+		    ${PMW} -eps -nowidechars -o postscript/music55 examples/ex55
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End

## pmw 4.29-1

=== doc/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
+		    GS_FONTPATH=$(CURDIR)/../psfonts gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \

=== debian/changelog ===
pmw (1:4.29-1) unstable; urgency=medium

  * New upstream release

 -- Wouter Verhelst <wouter@debian.org>  Wed, 21 Jun 2017 22:09:45 +0200

## pmw 4.30

=== doc/Makefile ===
--- 
+++ 
@@ -15,13 +15,17 @@
 # ensure that SDoP sees the metrics for the PMW fonts. Just pointing it
 # at the PMW directory is dangerous because it also uses a file called
 # PSheader. Instead, we make temporary copies for it to use.
+#
+# It seems that gs doesn't pick up the PMW-Alpha font from GS_FONTPATH as
+# it does for the PMW-Music font (perhaps because it's a Type 3?) so we
+# include it explicitly when making the PDF.
 
 PMW=../src/pmw -F ../fontmetrics -H ../PSheader
 
 all:                spec.pdf
 
 spec.pdf:           spec.ps
-		    GS_FONTPATH=$(CURDIR)/../psfonts gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf spec.ps
+		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf ../psfonts/PMW-Alpha spec.ps
 
 spec.ps:            Makefile \
                     spec.xml \
@@ -85,7 +89,8 @@
                     postscript/music52 \
                     postscript/music53 \
                     postscript/music54 \
-                    postscript/music55
+                    postscript/music55 \
+                    postscript/music56
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -277,6 +282,9 @@
 postscript/music55: examples/ex55
 		    ${PMW} -eps -nowidechars -o postscript/music55 examples/ex55
 
+postscript/music56: examples/ex56
+		    ${PMW} -eps -nowidechars -o postscript/music56 examples/ex56
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End

=== src/Makefile ===
# Makefile for PMW on Unix-like systems

# The toplevel Makefile passes in configured settings

FONTMETRICS=$(DATADIR)/fontmetrics
PSHEADER=$(DATADIR)/PSheader
MIDIVOICES=$(DATADIR)/MIDIvoices
MIDIPERC=$(DATADIR)/MIDIperc
FONTDIR=$(DATADIR)/psfonts

CC=$CC)
CFLAGS=$(CFLAGS)

COMP = $(CC) -DFONTDIR='"$(FONTDIR)"' -DFONTMETRICS='"$(FONTMETRICS)"' -DPSHEADER='"$(PSHEADER)"' -DMIDIVOICES='"$(MIDIVOICES)"' -DMIDIPERC='"$(MIDIPERC)"' $(NO_PMWRC) $(CFLAGS) -I. -c
LINK = $(CC) $(CFLAGS)

HDRS = barhdr.h outhdr.h pagehdr.h pmwhdr.h poshdr.h rdargs.h readhdr.h
DEPS = $(HDRS) Makefile ../Makefile

OBJ = debug.o error.o font.o format.o globals.o init.o main.o \
      midi.o misc.o out1.o out2.o pagesubs.o paginate.o possubs.o \
      postable.o preprocess.o print.o ps.o rdargs.o \
      read1.o read2.o read3.o read4.o read5.o read6.o \
      setbar.o setbeam.o setdraw.o sethairpin.o setnbar.o \
      setnote.o setother.o setslur.o settext.o settie.o \
      setwarn.o shownote.o store.o string.o \
      tables.o transpose.o tree.o version.o
      
# The normal targets in this Makefile are not called directly, but should be
# called from the top-level Makefile. To make it easy when developing from
# within the source directory, a call with no target gets passed back up to
# the outer Makefile.

intcall:;      cd ..; $(MAKE);

# This is the main target

all:            pmw

pmw:            $(OBJ)
		@echo "$(CC) -o pmw"
		$(FE)$(LINK) $(OBJ) -o pmw -lm
		@echo ">>> pmw binary built"

clean:;         rm -f *.o pmw

.SUFFIXES: .o .c
.c.o:;  @echo  "$(CC) $*.c"
		$(FE)$(COMP) $*.c

debug.o:        $(DEPS) debug.c
draw.o:         $(DEPS) draw.c
rdargs.o:       $(DEPS) rdargs.c
error.o:        $(DEPS) error.c
font.o:         $(DEPS) font.c
format.o:       $(DEPS) format.c
globals.o:      $(DEPS) globals.c
init.o:         $(DEPS) init.c
main.o:         $(DEPS) main.c
midi.o:         $(DEPS) midi.c
misc.o:         $(DEPS) misc.c
out1.o:         $(DEPS) out1.c
out2.o:         $(DEPS) out2.c
pagesubs.o:     $(DEPS) pagesubs.c
paginate.o:     $(DEPS) paginate.c
possubs.o:      $(DEPS) possubs.c
postable.o:     $(DEPS) postable.c
preprocess.o:   $(DEPS) preprocess.c
print.o:        $(DEPS) print.c
ps.o:           $(DEPS) ps.c
read1.o:        $(DEPS) read1.c
read2.o:        $(DEPS) read2.c
read3.o:        $(DEPS) read3.c
read4.o:        $(DEPS) read4.c
read5.o:        $(DEPS) read5.c
read6.o:        $(DEPS) read6.c
render.o:       $(DEPS) render.c
screen.o:       $(DEPS) screen.c
scrncache.o:    $(DEPS) scrncache.c
setbar.o:       $(DEPS) setbar.c
setbeam.o:      $(DEPS) setbeam.c
setdraw.o:      $(DEPS) setdraw.c
sethairpin.o:   $(DEPS) sethairpin.c
setnbar.o:      $(DEPS) setnbar.c
setnote.o:      $(DEPS) setnote.c
setother.o:     $(DEPS) setother.c
settext.o:      $(DEPS) settext.c
settie.o:       $(DEPS) settie.c
setslur.o:      $(DEPS) setslur.c
setwarn.o:      $(DEPS) setwarn.c
shownote.o:     $(DEPS) shownote.c
store.o:        $(DEPS) store.c
string.o:       $(DEPS) string.c
tables.o:       $(DEPS) tables.c
transpose.o:    $(DEPS) transpose.c
tree.o:         $(DEPS) tree.c
version.o:      $(DEPS) version.c

# End of Makefile for PMW

## pmw 4.50

=== doc/Makefile ===
--- 
+++ 
@@ -90,7 +90,8 @@
                     postscript/music53 \
                     postscript/music54 \
                     postscript/music55 \
-                    postscript/music56
+                    postscript/music56 \
+                    postscript/music57
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -285,6 +286,9 @@
 postscript/music56: examples/ex56
 		    ${PMW} -eps -nowidechars -o postscript/music56 examples/ex56
 
+postscript/music57: examples/ex57
+		    ${PMW} -eps -nowidechars -o postscript/music57 examples/ex57
+
 clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
 
 # End

=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 CC=$CC)
 CFLAGS=$(CFLAGS)
 
-COMP = $(CC) -DFONTDIR='"$(FONTDIR)"' -DFONTMETRICS='"$(FONTMETRICS)"' -DPSHEADER='"$(PSHEADER)"' -DMIDIVOICES='"$(MIDIVOICES)"' -DMIDIPERC='"$(MIDIPERC)"' $(NO_PMWRC) $(CFLAGS) -I. -c
+COMP = $(CC) -DFONTDIR='"$(FONTDIR)"' -DFONTMETRICS='"$(FONTMETRICS)"' -DPSHEADER='"$(PSHEADER)"' -DMIDIVOICES='"$(MIDIVOICES)"' -DMIDIPERC='"$(MIDIPERC)"' $(NO_PMWRC) $(SUPPORT_B2PF) $(CFLAGS) -I. -c
 LINK = $(CC) $(CFLAGS)
 
 HDRS = barhdr.h outhdr.h pagehdr.h pmwhdr.h poshdr.h rdargs.h readhdr.h
@@ -39,7 +39,7 @@
 
 pmw:            $(OBJ)
 		@echo "$(CC) -o pmw"
-		$(FE)$(LINK) $(OBJ) -o pmw -lm
+		$(FE)$(LINK) $(OBJ) -o pmw -lm $(LFLAGS)
 		@echo ">>> pmw binary built"
 
 clean:;         rm -f *.o pmw

## pmw 5.20

=== doc/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 # acroread or other PDF displayers.
 #
 # Use the version of PMW compiled in this tree.
+#
 # The other commands must be installed in the PATH. However, we have to
 # ensure that SDoP sees the metrics for the PMW fonts. Just pointing it
 # at the PMW directory is dangerous because it also uses a file called
@@ -20,14 +21,17 @@
 # it does for the PMW-Music font (perhaps because it's a Type 3?) so we
 # include it explicitly when making the PDF.
 
-PMW=../src/pmw -F ../fontmetrics -H ../PSheader
+PMW=../src/pmw -F ../fontmetrics -H ../PSheader -SM ../macros
 
 all:                spec.pdf
 
 spec.pdf:           spec.ps
 		    gs -q -dNOPAUSE -dBATCH -dPDFSETTINGS=/prepress -sDEVICE=pdfwrite -sOutputFile=spec.pdf ../psfonts/PMW-Alpha spec.ps
 
+postscript:;        mkdir postscript
+
 spec.ps:            Makefile \
+                    postscript \
                     spec.xml \
                     fontmetrics/PMW-Alpha.afm \
                     fontmetrics/PMW-Music.afm \
@@ -91,7 +95,20 @@
                     postscript/music54 \
                     postscript/music55 \
                     postscript/music56 \
-                    postscript/music57
+                    postscript/music57 \
+                    postscript/music58 \
+                    postscript/music59 \
+                    postscript/music60 \
+                    postscript/music61 \
+                    postscript/music62 \
+                    postscript/music63 \
+                    postscript/music64 \
+                    postscript/music65 \
+                    postscript/music66 \
+                    postscript/music67 \
+                    postscript/music68 \
+                    postscript/music69 \
+                    postscript/music70
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -289,6 +306,30 @@
 postscript/music57: examples/ex57
 		    ${PMW} -eps -nowidechars -o postscript/music57 examples/ex57
 
-clean:;             /bin/rm -rf *.ps *.pdf *.xml postscript/* fontmetrics
-
-# End
+postscript/music58: examples/ex58
+		    ${PMW} -eps -nowidechars -o postscript/music58 examples/ex58
+
+postscript/music59: examples/ex59
+		    ${PMW} -eps -nowidechars -o postscript/music59 examples/ex59
+
+postscript/music60: examples/ex60
+		    ${PMW} -eps -nowidechars -o postscript/music60 examples/ex60
+
+postscript/music61: examples/ex61
+		    ${PMW} -eps -nowidechars -o postscript/music61 examples/ex61
+
+postscript/music62: examples/ex62
+		    ${PMW} -eps -nowidechars -o postscript/music62 examples/ex62
+
+postscript/music63: examples/ex63
+		    ${PMW} -eps -nowidechars -o postscript/music63 examples/ex63
+
+postscript/music64: examples/ex64
+		    ${PMW} -eps -nowidechars -o postscript/music64 examples/ex64
+
+postscript/music65: examples/ex65
+		    ${PMW} -eps -nowidechars -o postscript/music65 examples/ex65
+
+postscript/music66: examples/ex66
+		    ${PMW} -eps -nowidechars -o postscript/music66 examples/ex66
+

=== src/Makefile ===
# Building Makefile for PMW on Unix-like systems

# The toplevel Makefile passes in configured settings

FONTMETRICS=$(DATADIR)/fontmetrics
PSHEADER=$(DATADIR)/PSheader
MIDIVOICES=$(DATADIR)/MIDIvoices
MIDIPERC=$(DATADIR)/MIDIperc
STDMACS=$(DATADIR)/macros
FONTDIR=$(DATADIR)/psfonts

COMP = $(CC) -DFONTDIR='"$(FONTDIR)"' -DFONTMETRICS='"$(FONTMETRICS)"' -DPSHEADER='"$(PSHEADER)"' -DMIDIVOICES='"$(MIDIVOICES)"' -DMIDIPERC='"$(MIDIPERC)"' -DSTDMACS='"$(STDMACS)"' $(CFLAGS) -I. -c
LINK = $(CC) $(CFLAGS)

HDRS = config.h functions.h globals.h pmw.h rdargs.h structs.h
DEPS = $(HDRS) Makefile ../Makefile
XMLDEPS = xml.h xml_functions.h xml_globals.h xml_structs.h

OBJ = debug.o draw.o error.o font.o globals.o main.o mem.o midi.o misc.o out.o \
      paginate.o pmw_read.o pmw_read_header.o pmw_read_note.o pmw_read_stave.o \
      pmw_read_stavedirs.o preprocess.o ps.o rdargs.o read.o setbar.o \
      setbeam.o setnote.o setother.o setslur.o settie.o string.o tables.o \
      transpose.o tree.o 

ifeq ($(SUPPORT_XML),1)      
  XMLOBJ = xml.o xml_analyze.o xml_debug.o xml_error.o xml_globals.o \
           xml_heading.o xml_read.o xml_staves.o xml_tables.o
else
  XMLOBJ=
endif      

# The normal targets in this Makefile are not called directly, but should be
# called from the top-level Makefile. To make it easy when developing from
# within the source directory, a call with no target gets passed back up to
# the outer Makefile.

intcall:;      cd ..; $(MAKE);

# This is the main target

all:            pmw

pmw:            $(OBJ) $(XMLOBJ)
		@echo "$(CC) -o pmw"
		$(FE)$(LINK) $(OBJ) $(XMLOBJ) -o pmw -lm $(LFLAGS)
		@echo ">>> pmw binary built"

clean:;         rm -f *.o pmw

distclean:      clean
		rm -f config.h

.SUFFIXES: .o .c
.c.o:;  @echo  "$(CC) $*.c"
		$(FE)$(COMP) $*.c

debug.o:               $(DEPS) debug.c
draw.o:                $(DEPS) draw.c
error.o:               $(DEPS) error.c
font.o:                $(DEPS) font.c
globals.o:             $(DEPS) globals.c
main.o:                $(DEPS) main.c
mem.o:                 $(DEPS) mem.c
midi.o:                $(DEPS) midi.c
misc.o:                $(DEPS) misc.c
out.o:                 $(DEPS) out.c
paginate.o:            $(DEPS) paginate.c
pmw_read.o:            $(DEPS) pmw_read.c
pmw_read_header.o:     $(DEPS) pmw_read_header.c
pmw_read_note.o:       $(DEPS) pmw_read_note.c
pmw_read_stave.o:      $(DEPS) pmw_read_stave.c
pmw_read_stavedirs.o:  $(DEPS) pmw_read_stavedirs.c
preprocess.o:          $(DEPS) preprocess.c
ps.o:                  $(DEPS) ps.c
rdargs.o:              $(DEPS) rdargs.c
read.o:                $(DEPS) read.c
setbar.o:              $(DEPS) setbar.c
setbeam.o:             $(DEPS) setbeam.c
setnote.o:             $(DEPS) setnote.c
setother.o:            $(DEPS) setother.c
setslur.o:             $(DEPS) setslur.c
settie.o:              $(DEPS) settie.c
string.o:              $(DEPS) string.c
tables.o:              $(DEPS) tables.c
transpose.o:           $(DEPS) transpose.c
tree.o:                $(DEPS) tree.c
xml.o:                 $(DEPS) $(XMLDEPS) xml.c
xml_analyze.o:         $(DEPS) $(XMLDEPS) xml_analyze.c
xml_debug.o:           $(DEPS) $(XMLDEPS) xml_debug.c
xml_error.o:           $(DEPS) $(XMLDEPS) xml_error.c
xml_globals.o:         $(DEPS) $(XMLDEPS) xml_globals.c
xml_heading.o:         $(DEPS) $(XMLDEPS) xml_heading.c
xml_read.o:            $(DEPS) $(XMLDEPS) xml_read.c
xml_staves.o:          $(DEPS) $(XMLDEPS) xml_staves.c
xml_tables.o:          $(DEPS) $(XMLDEPS) xml_tables.c

# End of building Makefile for PMW

=== debian/changelog ===
pmw (1:5.20-2) unstable; urgency=medium

  * Cherry-pick commit b935c10d07fe5f4027df0f6102946cd0d4066069 from
    upstream main branch to fix warning in one of the exmples, and the
    failure of the autopkgtest as a result.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 17 Oct 2022 09:35:55 +0200

pmw (1:5.20-1) unstable; urgency=medium

  * New upstream release.
  * debian/source/format, debian/source/local-options,
    debian/source/include-binaries: convert to source format 3.0 (quilt), and
    set single-debian-patch (git is for history).
  * doc/Makefile: update to fix music rendering in spec.pdf
  * debian/control: point to new homepage.

 -- Wouter Verhelst <wouter@debian.org>  Thu, 29 Sep 2022 10:13:03 +0200

pmw (1:4.50-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat, debian/control: bump debhelper compat level to 10
    (from 9), and move to new style of compatibility level declaration.
    Don't bump to 11 or above, since that adds --runstatedir, which our
    configure script doesn't support.
  * Add autopkgtest
  * debian/control: Update Homepage field to point to new location
  * debian/pmw-doc.postrm: add, to finish up dpkg-maintscript-helper
    calls and make lintian happy.
  * src/Makefile: drop @echo lines, and show the full gcc output, so
    that blhc doesn't get confused.

 -- Wouter Verhelst <wouter@debian.org>  Tue, 29 Dec 2020 12:48:01 +0200

pmw (1:4.29-2) unstable; urgency=medium

  * Register the spec PDF file with doc-base
  * Ensure orig.tar.gz exists, so we don't build as a native package anymore (whoops)

 -- Wouter Verhelst <wouter@debian.org>  Tue, 26 Sep 2017 13:44:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Priority: extra
 Section: tex
 Maintainer: Wouter Verhelst <wouter@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 10)
 Build-Depends-Indep: aspic, xfpt, sdop, ghostscript
 Build-Conflicts: pmw
 Standards-Version: 3.9.5
-Homepage: http://people.ds.cam.ac.uk/ph10/pmw.html
-Vcs-Git: git://git.debian.org/users/wouter/pmw.git
-Vcs-Browser: http://git.debian.org/?p=users/wouter/pmw.git;a=summary
+Homepage: https://philiphazel.github.io/pmw/
+Vcs-Git: https://salsa.debian.org/wouter/pmw.git
+Vcs-Browser: https://salsa.debian.org/wouter/pmw
 
 Package: pmw
 Section: tex

## pmw 5.22

=== doc/Makefile ===
--- 
+++ 
@@ -108,7 +108,8 @@
                     postscript/music67 \
                     postscript/music68 \
                     postscript/music69 \
-                    postscript/music70
+                    postscript/music70 \
+                    postscript/music71
 		    sdop -S . spec.xml
 
 spec.xml:           spec.xfpt
@@ -331,5 +332,3 @@
 		    ${PMW} -eps -nowidechars -o postscript/music65 examples/ex65
 
 postscript/music66: examples/ex66
-		    ${PMW} -eps -nowidechars -o postscript/music66 examples/ex66
-

=== debian/changelog ===
pmw (1:5.22-1) unstable; urgency=medium

  * New upstream release

 -- Wouter Verhelst <wouter@debian.org>  Fri, 22 Dec 2023 02:05:36 +0200

pmw (1:5.21-1) unstable; urgency=medium

  * New upstream release
  * Makefile.in: make sure to look at CPPFLAGS and LDFLAGS in the right places.

 -- Wouter Verhelst <wouter@debian.org>  Mon, 17 Oct 2022 12:40:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pmw
-Priority: extra
+Priority: optional
 Section: tex
 Maintainer: Wouter Verhelst <wouter@debian.org>
 Build-Depends: debhelper-compat (= 10)

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,3 @@
 	dh_install -a
 	cp -a debian/fonts.conf debian/pmw/etc/ghostscript/fontmap.d/20pmw.conf
 	rm -f debian/pmw/usr/share/pmw/fontmetrics/LICENCE
-
-override_dh_installdocs:
-	dh_installdocs --link-doc=pmw

=== debian/tests/control ===
Tests: run-examples
Depends: pmw
